View Issue Details

IDProjectCategoryView StatusLast Update
0020712mantisbtcsvpublic2016-06-12 00:42
ReportervboctorAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020712: CSV/Excel export shouldn't output unset due dates as a date
Description

If due date is not set, then the value should be empty string rather than 1970-01-01.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 3d65134a

2016-03-17 02:39:53

luke


Committer: dregad Details Diff
Support default value for due date

Access check for CSV/Excel export when displaying due date, and handling
null due date in CSV/Excel. Update manual for due date configs.

Fixes 0020710, 0020711, 0020712

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Reformatted original commit message, added issues references.
Squashed changes from follow-up commit in pull request.
mod - bug_report_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/csv_api.php Diff File
mod - core/excel_api.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
add - docbook/Admin_Guide/en-US/config/duedate.xml Diff File

Issue History

Date Modified Username Field Change
2016-03-17 03:33 vboctor New Issue
2016-03-17 03:33 vboctor Status new => assigned
2016-03-17 03:33 vboctor Assigned To => community
2016-03-17 03:33 vboctor Note Added: 0052792
2016-03-19 17:27 dregad Changeset attached => MantisBT master 3d65134a
2016-03-19 17:27 dregad Assigned To community => dregad
2016-03-19 17:27 dregad Status assigned => resolved
2016-03-19 17:27 dregad Resolution open => fixed
2016-03-19 17:27 dregad Fixed in Version => 1.3.0-rc.2
2016-03-20 12:31 vboctor Assigned To dregad => community
2016-06-12 00:42 vboctor Status resolved => closed